/* Copyright (C) 2012-13 MINHAP, Gobierno de España
   This program is licensed and may be used, modified and redistributed under the terms
   of the European Public License (EUPL), either version 1.1 or (at your
   option) any later version as soon as they are approved by the European Commission.
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   or implied. See the License for the specific language governing permissions and
   more details.
   You should have received a copy of the EUPL1.1 license
   along with this program; if not, you may find it at
   http://joinup.ec.europa.eu/software/page/eupl/licence-eupl */

package es.mpt.dsic.inside.service.object.converter.impl.cmis;


import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Required;

import es.mpt.dsic.inside.model.objetos.documento.ObjetoDocumentoInside;
import es.mpt.dsic.inside.model.objetos.expediente.ObjetoExpedienteInside;
import es.mpt.dsic.inside.model.objetos.expediente.metadatos.ObjetoExpedienteInsideMetadatos;
import es.mpt.dsic.inside.service.object.converter.InsideServiceObjectConverter;
import es.mpt.dsic.inside.service.object.converter.InsideServiceObjectConverterException;

public class InsideServiceCmisExpedienteConverter implements InsideServiceObjectConverter<ObjetoExpedienteInside,ObjetoExpedienteInsideMetadatos> {

	protected InsideServiceCmisAdapter cmisAdapter;
	
	protected static final Log logger = LogFactory.getLog(InsideServiceCmisExpedienteConverter.class);
	
	@Override
	public ObjetoExpedienteInside fromRepository(ObjetoExpedienteInside expediente)
			throws InsideServiceObjectConverterException {
		
		//return expediente;
		try {
			cmisAdapter.obtenerExpedienteInside(expediente);
		} catch (InsideServiceCmisAdapterException e) {
			throw new InsideServiceObjectConverterException("Excepción recuperando los datos del expediente electrónico del repositorio CMIS",e);
		}
		return  expediente;
		
	}

	@Override
	public ObjetoExpedienteInside toRepository(ObjetoExpedienteInside expediente)
			throws InsideServiceObjectConverterException {
		
		try {
			this.getCmisAdapter().almacenaObjetoExpedienteInside(expediente);
		} catch (InsideServiceCmisAdapterException e) {
			throw new InsideServiceObjectConverterException("Error almacenando el Expediente en el repositorio CMIS",e);
		}
		
		return expediente;
		
	}
	
	public InsideServiceCmisAdapter getCmisAdapter() {
		return cmisAdapter;
	}

	@Required
	public void setCmisAdapter(InsideServiceCmisAdapter cmisAdapter) {
		this.cmisAdapter = cmisAdapter;
	}
	

}
