/* Copyright (C) 2012-13 MINHAP, Gobierno de España
   This program is licensed and may be used, modified and redistributed under the terms
   of the European Public License (EUPL), either version 1.1 or (at your
   option) any later version as soon as they are approved by the European Commission.
   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
   or implied. See the License for the specific language governing permissions and
   more details.
   You should have received a copy of the EUPL1.1 license
   along with this program; if not, you may find it at
   http://joinup.ec.europa.eu/software/page/eupl/licence-eupl */

package es.mpt.dsic.inside.service.store.impl.hibernate.entity;

// Generated 28-ago-2012 18:17:29 by Hibernate Tools 3.4.0.CR1

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * ExpedienteInsideIndiceDocumentoIndizado generated by hbm2java
 */
@Entity
@Table(name = "ExpedienteInsideIndiceDocumentoIndizado", catalog = "insidews")
public class ExpedienteInsideIndiceDocumentoIndizado implements
		java.io.Serializable {

	private Integer id;
	private ExpedienteInsideIndiceCarpetaIndizada expedienteInsideIndiceCarpetaIndizada;
	private ExpedienteInsideIndice expedienteInsideIndice;
	private String valorHuella;
	private String funcionResumen;
	private Date fechaIncorporacionExpediente;
	private String identificadorDocumento;
	private int orden;
	private Date createdAt;

	public ExpedienteInsideIndiceDocumentoIndizado() {
	}

	public ExpedienteInsideIndiceDocumentoIndizado(int orden, Date createdAt) {
		this.orden = orden;
		this.createdAt = createdAt;
	}

	public ExpedienteInsideIndiceDocumentoIndizado(
			ExpedienteInsideIndiceCarpetaIndizada expedienteInsideIndiceCarpetaIndizada,
			ExpedienteInsideIndice expedienteInsideIndice, String valorHuella,
			String funcionResumen, Date fechaIncorporacionExpediente,
			String identificadorDocumento, int orden, Date createdAt) {
		this.expedienteInsideIndiceCarpetaIndizada = expedienteInsideIndiceCarpetaIndizada;
		this.expedienteInsideIndice = expedienteInsideIndice;
		this.valorHuella = valorHuella;
		this.funcionResumen = funcionResumen;
		this.fechaIncorporacionExpediente = fechaIncorporacionExpediente;
		this.identificadorDocumento = identificadorDocumento;
		this.orden = orden;
		this.createdAt = createdAt;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)
	@Column(name = "id", unique = true, nullable = false)
	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_carpeta_indizada")
	public ExpedienteInsideIndiceCarpetaIndizada getExpedienteInsideIndiceCarpetaIndizada() {
		return this.expedienteInsideIndiceCarpetaIndizada;
	}

	public void setExpedienteInsideIndiceCarpetaIndizada(
			ExpedienteInsideIndiceCarpetaIndizada expedienteInsideIndiceCarpetaIndizada) {
		this.expedienteInsideIndiceCarpetaIndizada = expedienteInsideIndiceCarpetaIndizada;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "id_expediente_indizado")
	public ExpedienteInsideIndice getExpedienteInsideIndice() {
		return this.expedienteInsideIndice;
	}

	public void setExpedienteInsideIndice(
			ExpedienteInsideIndice expedienteInsideIndice) {
		this.expedienteInsideIndice = expedienteInsideIndice;
	}

	@Column(name = "valorHuella")
	public String getValorHuella() {
		return this.valorHuella;
	}

	public void setValorHuella(String valorHuella) {
		this.valorHuella = valorHuella;
	}

	@Column(name = "funcionResumen")
	public String getFuncionResumen() {
		return this.funcionResumen;
	}

	public void setFuncionResumen(String funcionResumen) {
		this.funcionResumen = funcionResumen;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "fechaIncorporacionExpediente", length = 19)
	public Date getFechaIncorporacionExpediente() {
		return this.fechaIncorporacionExpediente;
	}

	public void setFechaIncorporacionExpediente(
			Date fechaIncorporacionExpediente) {
		this.fechaIncorporacionExpediente = fechaIncorporacionExpediente;
	}

	@Column(name = "identificadorDocumento")
	public String getIdentificadorDocumento() {
		return this.identificadorDocumento;
	}

	public void setIdentificadorDocumento(String identificadorDocumento) {
		this.identificadorDocumento = identificadorDocumento;
	}

	@Column(name = "orden", nullable = false)
	public int getOrden() {
		return this.orden;
	}

	public void setOrden(int orden) {
		this.orden = orden;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "created_at", nullable = false, length = 19)
	public Date getCreatedAt() {
		return this.createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	@Override public String toString () {
		StringBuffer sb = new StringBuffer ("Entity ExpedienteInsideIndiceDocumentoIndizado=[");
		String coma = ", ";
		
		sb.append("id=" + id + coma);
		
		sb.append("valorHuella=" + valorHuella + coma);
		sb.append("funcionResumen=" + funcionResumen + coma);
		sb.append("fechaIncorporacionExpediente=" + fechaIncorporacionExpediente + coma);
		sb.append("identificadorDocumento=" + identificadorDocumento + coma);
		sb.append("orden=" + orden + coma);
		sb.append("createdAt=" + createdAt + coma);
				
		sb.append("]");
		return sb.toString();
	}
}
