-- MySQL dump 10.13  Distrib 5.1.54, for debian-linux-gnu (i686)
--
-- Host: xxx    Database: insidews
-- ------------------------------------------------------
-- Server version	5.5.9-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `DocumentoInside`
--

DROP TABLE IF EXISTS `DocumentoInside`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DocumentoInside` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `identificador` varchar(255) NOT NULL,
  `identificador_repositorio` varchar(255) DEFAULT NULL,
  `version` int(11) NOT NULL DEFAULT '1',
  `fechaVersion` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `versionNti` varchar(255) DEFAULT NULL,
  `fechaCaptura` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `origen` tinyint(1) DEFAULT '0',
  `nombreFormato` varchar(255) DEFAULT NULL,
  `tipoMime` varchar(255) DEFAULT NULL,
  `tipoDocumental` varchar(255) DEFAULT NULL,
  `estadoElaboracion` varchar(255) DEFAULT NULL,
  `identificadorDocumentoOrigen` varchar(255) DEFAULT NULL,
  `identificadorEnDocumento` varchar(255) DEFAULT NULL,
  `referencia` varchar(255) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `identificador_version` (`identificador`,`version`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `DocumentoInsideFirmas`
--

DROP TABLE IF EXISTS `DocumentoInsideFirmas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DocumentoInsideFirmas` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_documento` int(11) NOT NULL,
  `id_firma` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_DocumentoInsideFirmas_Documento` (`id_documento`),
  KEY `FK_DocumentoInsideFirmas_Firma` (`id_firma`),
  CONSTRAINT `FK_DocumentoInsideFirmas_Documento` FOREIGN KEY (`id_documento`) REFERENCES `DocumentoInside` (`id`),
  CONSTRAINT `FK_DocumentoInsideFirmas_Firma` FOREIGN KEY (`id_firma`) REFERENCES `FirmaInside` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `DocumentoInsideMetadatosAdicionales`
--

DROP TABLE IF EXISTS `DocumentoInsideMetadatosAdicionales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DocumentoInsideMetadatosAdicionales` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_documento` int(11) DEFAULT NULL,
  `nombre` varchar(255) DEFAULT NULL,
  `valor` longtext,
  PRIMARY KEY (`id`),
  KEY `FK_DocumentoInsideMetadatosAdicionales_Documento` (`id_documento`),
  CONSTRAINT `FK_DocumentoInsideMetadatosAdicionales_Documento` FOREIGN KEY (`id_documento`) REFERENCES `DocumentoInside` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `DocumentoInsideOrgano`
--

DROP TABLE IF EXISTS `DocumentoInsideOrgano`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `DocumentoInsideOrgano` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_documento` int(11) NOT NULL,
  `organo` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_DocumentoInsideOrgano_Documento` (`id_documento`),
  CONSTRAINT `FK_DocumentoInsideOrgano_Documento` FOREIGN KEY (`id_documento`) REFERENCES `DocumentoInside` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `ExpedienteInside`
--

DROP TABLE IF EXISTS `ExpedienteInside`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ExpedienteInside` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `identificador` varchar(255) NOT NULL,
  `identificador_repositorio` varchar(255) DEFAULT NULL,
  `version` int(11) NOT NULL DEFAULT '1',
  `fechaVersion` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `versionNti` varchar(255) DEFAULT NULL,
  `fechaAperturaExpediente` timestamp NULL DEFAULT '0000-00-00 00:00:00',
  `clasificacion` varchar(255) DEFAULT NULL,
  `estado` varchar(255) DEFAULT NULL,
  `id_indice` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `identificador_version` (`identificador`,`version`),
  KEY `FK_ExpedienteInside_Indice` (`id_indice`),
  CONSTRAINT `FK_ExpedienteInside_Indice` FOREIGN KEY (`id_indice`) REFERENCES `ExpedienteInsideIndice` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=127 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = '' */ ;
DELIMITER ;;
/*!50003 CREATE*/ /*!50017 DEFINER=`insidews`@`%`*/ /*!50003 TRIGGER `update_expediente_vinculado` AFTER INSERT ON `ExpedienteInside` 
    FOR EACH ROW BEGIN
    
	IF(NEW.version > 1) THEN
	
	SET @id_vinculado_a_cambiar = (select id from ExpedienteInside where identificador = New.identificador and version = (NEW.version - 1));
	UPDATE ExpedienteInsideIndice SET id_expediente_vinculado=New.id WHERE id_expediente_vinculado = @id_vinculado_a_cambiar;
	
	END IF;
    END */;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;

--
-- Table structure for table `ExpedienteInsideIndice`
--

DROP TABLE IF EXISTS `ExpedienteInsideIndice`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ExpedienteInsideIndice` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `identificador_expediente` varchar(255) DEFAULT NULL,
  `id_expediente_vinculado` int(11) DEFAULT NULL,
  `fecha_indice_electronico` timestamp NULL DEFAULT NULL,
  `id_expediente_indizado` int(11) DEFAULT NULL,
  `id_carpeta_indizada` int(11) DEFAULT NULL,
  `orden` int(3) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `FK_ExpedienteInsideIndice_ExpedienteIndizado` (`id_expediente_indizado`),
  KEY `FK_ExpedienteInsideIndice_CarpetaIndizada` (`id_carpeta_indizada`),
  KEY `FK_ExpedienteInsideIndice_ExpedienteVinculado` (`id_expediente_vinculado`),
  CONSTRAINT `FK_ExpedienteInsideIndice_CarpetaIndizada` FOREIGN KEY (`id_carpeta_indizada`) REFERENCES `ExpedienteInsideIndiceCarpetaIndizada` (`id`),
  CONSTRAINT `FK_ExpedienteInsideIndice_ExpedienteIndizado` FOREIGN KEY (`id_expediente_indizado`) REFERENCES `ExpedienteInsideIndice` (`id`),
  CONSTRAINT `FK_ExpedienteInsideIndice_ExpedienteVinculado` FOREIGN KEY (`id_expediente_vinculado`) REFERENCES `ExpedienteInside` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=187 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ExpedienteInsideIndiceCarpetaIndizada`
--

DROP TABLE IF EXISTS `ExpedienteInsideIndiceCarpetaIndizada`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ExpedienteInsideIndiceCarpetaIndizada` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `identificador_carpeta` varchar(255) NOT NULL,
  `id_expediente_indizado` int(11) DEFAULT NULL,
  `id_carpeta_indizada` int(11) DEFAULT NULL,
  `orden` int(3) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_ExpedienteInsideIndiceCarpetaIndizada_Carpeta` (`id_carpeta_indizada`),
  KEY `FK_ExpedienteInsideIndiceCarpetaIndizada_ExpedienteIndizado` (`id_expediente_indizado`),
  CONSTRAINT `FK_ExpedienteInsideIndiceCarpetaIndizada_Carpeta` FOREIGN KEY (`id_carpeta_indizada`) REFERENCES `ExpedienteInsideIndiceCarpetaIndizada` (`id`),
  CONSTRAINT `FK_ExpedienteInsideIndiceCarpetaIndizada_ExpedienteIndizado` FOREIGN KEY (`id_expediente_indizado`) REFERENCES `ExpedienteInsideIndice` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=207 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ExpedienteInsideIndiceDocumentoIndizado`
--

DROP TABLE IF EXISTS `ExpedienteInsideIndiceDocumentoIndizado`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ExpedienteInsideIndiceDocumentoIndizado` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `valorHuella` varchar(255) DEFAULT NULL,
  `funcionResumen` varchar(255) DEFAULT NULL,
  `fechaIncorporacionExpediente` timestamp NULL DEFAULT NULL,
  `identificadorDocumento` varchar(255) DEFAULT NULL,
  `id_expediente_indizado` int(11) DEFAULT NULL,
  `id_carpeta_indizada` int(11) DEFAULT NULL,
  `orden` int(3) NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `FK_ExpedienteInsideIndiceDocumentoIndizado_Expediente` (`id_expediente_indizado`),
  KEY `FK_ExpedienteInsideIndiceDocumentoIndizado_CarpetaIndizada` (`id_carpeta_indizada`),
  CONSTRAINT `FK_ExpedienteInsideIndiceDocumentoIndizado_CarpetaIndizada` FOREIGN KEY (`id_carpeta_indizada`) REFERENCES `ExpedienteInsideIndiceCarpetaIndizada` (`id`),
  CONSTRAINT `FK_ExpedienteInsideIndiceDocumentoIndizado_Indice` FOREIGN KEY (`id_expediente_indizado`) REFERENCES `ExpedienteInsideIndice` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=81 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ExpedienteInsideIndiceFirmas`
--

DROP TABLE IF EXISTS `ExpedienteInsideIndiceFirmas`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ExpedienteInsideIndiceFirmas` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_expediente` int(11) NOT NULL,
  `id_firmaInside` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_ExpedienteInsideIndiceFirmas_Firma` (`id_firmaInside`),
  KEY `FK_ExpedienteInsideIndiceFirmas_Expediente` (`id_expediente`),
  CONSTRAINT `FK_ExpedienteInsideIndiceFirmas_Expediente` FOREIGN KEY (`id_expediente`) REFERENCES `ExpedienteInside` (`id`),
  CONSTRAINT `FK_ExpedienteInsideIndiceFirmas_Firma` FOREIGN KEY (`id_firmaInside`) REFERENCES `FirmaInside` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=45 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ExpedienteInsideInteresado`
--

DROP TABLE IF EXISTS `ExpedienteInsideInteresado`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ExpedienteInsideInteresado` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_expediente` int(11) NOT NULL,
  `interesado` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_ExpedienteInsideInteresado_Expediente` (`id_expediente`),
  CONSTRAINT `FK_ExpedienteInsideInteresado_Expediente` FOREIGN KEY (`id_expediente`) REFERENCES `ExpedienteInside` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=128 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ExpedienteInsideMetadatosAdicionales`
--

DROP TABLE IF EXISTS `ExpedienteInsideMetadatosAdicionales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ExpedienteInsideMetadatosAdicionales` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_expediente` int(11) DEFAULT NULL,
  `nombre` varchar(255) DEFAULT NULL,
  `valor` longtext,
  PRIMARY KEY (`id`),
  KEY `FK_ExpedienteInsideMetadatosAdicionales_Expediente` (`id_expediente`),
  CONSTRAINT `FK_ExpedienteInsideMetadatosAdicionales_Expediente` FOREIGN KEY (`id_expediente`) REFERENCES `ExpedienteInside` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=276 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `ExpedienteInsideOrgano`
--

DROP TABLE IF EXISTS `ExpedienteInsideOrgano`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ExpedienteInsideOrgano` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_expediente` int(11) NOT NULL,
  `organo` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_ExpedienteInsideOrgano_Expediente` (`id_expediente`),
  CONSTRAINT `FK_ExpedienteInsideOrgano_Expediente` FOREIGN KEY (`id_expediente`) REFERENCES `ExpedienteInside` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=131 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `FirmaInside`
--

DROP TABLE IF EXISTS `FirmaInside`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `FirmaInside` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tipoFirma` varchar(255) NOT NULL,
  `identificadorRepositorio` varchar(255) DEFAULT NULL,
  `valorCSV` varchar(255) DEFAULT NULL,
  `regulacionCSV` varchar(255) DEFAULT NULL,
  `tipoMime` varchar(255) DEFAULT NULL,
  `referencia` varchar(255) DEFAULT NULL,
  `signature` tinyint(1) DEFAULT '0',
  `timestamp` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `identificadorEnDocumento` varchar(255) DEFAULT NULL,
  `orden` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=68 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `InsideWsAplicacion`
--

DROP TABLE IF EXISTS `InsideWsAplicacion`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `InsideWsAplicacion` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nombre` varchar(255) NOT NULL,
  `passwordHash` varchar(255) NOT NULL,
  `activo` tinyint(1) NOT NULL DEFAULT '1',
  `altaExpediente` tinyint(1) NOT NULL DEFAULT '1',
  `modificarExpediente` tinyint(1) NOT NULL DEFAULT '1',
  `leerExpediente` tinyint(1) NOT NULL DEFAULT '1',
  `altaDocumento` tinyint(1) NOT NULL DEFAULT '1',
  `modificarDocumento` tinyint(1) NOT NULL DEFAULT '1',
  `leerDocumento` tinyint(1) NOT NULL DEFAULT '1',
  `fechaCreacion` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `nombre` (`nombre`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `InsideWsAudit`
--

DROP TABLE IF EXISTS `InsideWsAudit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `InsideWsAudit` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_aplicacion` int(11) NOT NULL,
  `id_expediente` int(11) DEFAULT NULL,
  `id_documento` int(11) DEFAULT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;


/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;


